[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: PostgreSQL 6.4

"Jules Bean" wrote:
  >--On Tue, Nov 3, 1998 10:44 am +0000 "Oliver Elphick" <olly@lfix.co.uk>
  >> As you may know, PostgreSQL 6.4 is due to be released within the next few
  >> days.
  >> Your packages currently depend on libpgsql (>= 6.3.1-1).  However the
  >> new release will contain a libpq.so with a new major number and is
  >> liable to break your packages.
  >> I hope to upload the new package to unstable within a couple of days of
  >> upstream release; may I suggest that you now upload a version to frozen
  >> and unstable that conflicts with libpgsql (>= 6.4)?
  >New major number?
  >Why not release an oldlibs package, instead of conflicting?  Or will the old
  >lib not work with the new server?

I think it will not; the only benefit of an oldlibs package would be for
remote communication with an older server.  However, that might be
sufficient reason - I'll look into it.

Oliver Elphick                                Oliver.Elphick@lfix.co.uk
Isle of Wight                              http://www.lfix.co.uk/oliver
               PGP key from public servers; key ID 32B8FAA1
     "Lo, children are an heritage of the LORD; and the  
      fruit of the womb is his reward."        Psalms 127:3 

Reply to: